Skip to main content
POST
/
api
/
v3
/
rate
/
fiat
Get Fiat to Fiat exchange rate
curl --request POST \
  --url https://preview.kotanipay.com/api/v3/rate/fiat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "KES",
  "to": "EUR",
  "amount": "0.85"
}
'
{
  "success": true,
  "message": "Available exchange rate.",
  "data": {
    "from": "USD",
    "to": "EUR",
    "value": "0.85",
    "depositAmount": "100",
    "withdrawalAmount": "100",
    "depositTransactionAmount": "100",
    "withdrawalTransactionAmount": "100",
    "depositFee": "100",
    "withdrawalFee": "100"
  }
}

Documentation Index

Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt

Use this file to discover all available pages before exploring further.

An integrator can use this endpoint to get the exchange rate between two fiat currencies.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
from
enum<string>
required

From currency

Available options:
KES,
GHS,
NGN,
ZAR,
ZAR,
USD,
XOF,
ZMW,
XAF,
SLE,
CDF,
TZS,
UGX,
EGP,
MWK,
RWF,
ETB,
MZN,
LSL,
GNF,
USDT,
BTC,
ETH,
USDC
Example:

"KES"

to
enum<string>
required

To currency

Available options:
KES,
GHS,
NGN,
ZAR,
ZAR,
USD,
XOF,
ZMW,
XAF,
SLE,
CDF,
TZS,
UGX,
EGP,
MWK,
RWF,
ETB,
MZN,
LSL,
GNF,
USDT,
BTC,
ETH,
USDC
Example:

"EUR"

amount
number
required

Rate value

Example:

"0.85"

Response

success
boolean
Example:

true

message
string
Example:

"Available exchange rate."

data
object